GitHub

ShopifyProductSortKeys

Type

import { ShopifyProductSortKeys } from '@daffodil/driver/shopify'

Sorting options for the products query. Supports sorting products by criteria such as best-selling and price, and by product attributes such as type, and vendor.

Note: Use the RELEVANCE key only when a search query is specified.

enum ShopifyProductSortKeys {
  BestSelling = ShopifyProductSortKeys.BestSelling,
  CreatedAt = ShopifyProductSortKeys.CreatedAt,
  Id = ShopifyProductSortKeys.Id,
  Price = ShopifyProductSortKeys.Price,
  ProductType = ShopifyProductSortKeys.ProductType,
  Relevance = ShopifyProductSortKeys.Relevance,
  Title = ShopifyProductSortKeys.Title,
  UpdatedAt = ShopifyProductSortKeys.UpdatedAt,
  Vendor = ShopifyProductSortKeys.Vendor,
}

Properties

BestSelling
ShopifyProductSortKeys.BestSelling

Sort by the best_selling value.

CreatedAt
ShopifyProductSortKeys.CreatedAt

Sort by the created_at value.

Id
ShopifyProductSortKeys.Id

Sort by the id value.

Price
ShopifyProductSortKeys.Price

Sort by the price value.

ProductType
ShopifyProductSortKeys.ProductType

Sort by the product_type value.

Relevance
ShopifyProductSortKeys.Relevance

Sort by relevance to the search terms when the query parameter is specified on the connection. Don't use this sort key when no search query is specified.

Title
ShopifyProductSortKeys.Title

Sort by the title value.

UpdatedAt
ShopifyProductSortKeys.UpdatedAt

Sort by the updated_at value.

Vendor
ShopifyProductSortKeys.Vendor

Sort by the vendor value.